GrailsResource (Grails 4.0.3)
Date: 2020-04-03

Package: org.grails.core.io

## [Groovy] Class GrailsResource

- org.grails.core.io.GrailsResource

- All Implemented Interfaces and Traits:
    org.springframework.core.io.Resource

      @groovy.transform.CompileStatic
      class GrailsResource
      extends java.lang.Object

  Bridges Grails and Spring resource APIs

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Resource` | `resource`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsResource (Resource resource)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `long` | `contentLength()`
    `` | `org.springframework.core.io.Resource` | `createRelative(java.lang.String relativePath)`
    `` | `boolean` | `exists()`
    `` | `java.lang.String` | `getDescription()`
    `` | `java.io.File` | `getFile()`
    `` | `java.lang.String` | `getFilename()`
    `` | `java.io.InputStream` | `getInputStream()`
    `` | `java.net.URI` | `getURI()`
    `` | `java.net.URL` | `getURL()`
    `` | `boolean` | `isOpen()`
    `` | `boolean` | `isReadable()`
    `` | `long` | `lastModified()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### Resource resource

  - ### Constructor Detail

    - #### GrailsResource(Resource resource)

  - ### Method Detail

    - #### @java.lang.Override long contentLength()

    - #### @java.lang.Override org.springframework.core.io.Resource createRelative(java.lang.String relativePath)

    - #### @java.lang.Override boolean exists()

    - #### @java.lang.Override java.lang.String getDescription()

    - #### @java.lang.Override java.io.File getFile()

    - #### @java.lang.Override java.lang.String getFilename()

    - #### @java.lang.Override java.io.InputStream getInputStream()

    - #### @java.lang.Override java.net.URI getURI()

    - #### @java.lang.Override java.net.URL getURL()

    - #### @java.lang.Override boolean isOpen()

    - #### @java.lang.Override boolean isReadable()

    - #### @java.lang.Override long lastModified()